.hr-dashboard-layout {
  display: grid;
  grid-template-columns: 2.8fr 1fr;
  row-gap: 4rem;
  column-gap: 2rem;

  .analytics {
    grid-column: 1 / -1;
  }
}

.em-dashboard-layout {
  display: grid;
  grid-template-columns: 3fr 1fr;
  gap: 4rem;

  .left-side {
    padding-right: 170px;
    border-right: 1px solid #ebebeb;
  }

  .right-side {
    display: flex;
    justify-content: center;
    align-items: center;

    .employee-card {
      border: 1px solid #ebebeb;
      border-radius: 12px;
      padding: 3rem;
      display: flex;
      flex-direction: column;
      gap: 1rem;
      width: 16rem;

      .avatar-dashboard {
        width: 120px;
        height: 120px;
        border-radius: 100%;
      }

      .fullName {
        font-size: 21px;
        font-weight: 600;
      }

      .user-position,
      .leave-balance {
        color: #636363;
        font-weight: 400;
        font-size: 17px;
        margin-bottom: 8px;
      }
    }
  }
}

.form-leave {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.leave-balance-container {
  margin: 0 0 2rem 0;

  .leave-balance {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;

    .leave-balance-item {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      gap: 8px;
      margin: 10px;
      width: 180px;
      height: 180px;
      padding: 16px;
      border-radius: 20px;
      border: 1px solid #ebebeb;

      span {
        font-size: larger;
        font-weight: 500;
      }
    }
  }
}

.month-analytics {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  gap: 20px;

  .month-analytics-item {
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 195px;
    gap: 8px;
    padding: 24px;
    border-radius: 20px;
    border: 1px solid #ebebeb;

    .flex {
      display: flex;
      justify-content: space-between;
      align-items: center;

      .header {
        font-size: 19px;
        font-weight: 500;
      }
    }

    span {
      font-size: 36px;
      font-weight: 500;
    }
  }
}

.dashboard-headers {
  font-size: 17px;
  font-weight: 500;
  margin-bottom: 1rem;
}

@media (max-width: 1400px) {
  .leave-balance-container {
    .leave-balance {
      display: flex;
      flex-wrap: wrap;
      gap: 10px;

      .leave-balance-item {
        width: 180px;
      }
    }
  }

  .month-analytics {
    display: flex;
    flex-wrap: wrap;

    .month-analytics-item {
      width: 320px;
    }
  }
}
